org.mariadb.jdbc.internal.queryresults

## Class SelectQueryResult

- java.lang.Object
- - org.mariadb.jdbc.internal.queryresults.AbstractQueryResult
  - - org.mariadb.jdbc.internal.queryresults.SelectQueryResult

Direct Known Subclasses:
  CachedSelectResult, StreamingSelectResult

    public abstract class SelectQueryResult
    extends AbstractQueryResult

### Field Summary

### Fields inherited from class org.mariadb.jdbc.internal.queryresults.AbstractQueryResult

`isClosed`

### Constructor Summary

Constructors
Constructor and Description
`SelectQueryResult()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`ColumnInformation[]` `getColumnInformation()`
`String` `getMessage()`
`ResultSetType` `getResultSetType()`
`int` `getRowPointer()` Gets the current row number.
`abstract ValueObject` `getValueObject(int index)` Gets the value object at position index, starts at 0.
`short` `getWarnings()`
`abstract boolean` `isAfterLast()`
`abstract boolean` `isBeforeFirst()`
`void` `moveRowPointerTo(int index)` Moves the row pointer to position i.
`abstract boolean` `next()` Move pointer forward.

### Methods inherited from class org.mariadb.jdbc.internal.queryresults.AbstractQueryResult

`addResult, close, getRows, isClosed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SelectQueryResult

    public SelectQueryResult()

### Method Detail

#### getColumnInformation

    public ColumnInformation[] getColumnInformation()

Specified by:
  `getColumnInformation` in class `AbstractQueryResult`

#### getWarnings

    public short getWarnings()

#### getMessage

    public String getMessage()

#### getResultSetType

    public ResultSetType getResultSetType()

Specified by:
  `getResultSetType` in class `AbstractQueryResult`

#### moveRowPointerTo

    public void moveRowPointerTo(int index)
                          throws SQLException

Moves the row pointer to position i.

Parameters:
  `index` - pointer to move
Throws:
  `SQLException` - sql feature not supported

#### getRowPointer

    public int getRowPointer()
                      throws SQLException

Gets the current row number.

Returns:
  the current row number
Throws:
  `SQLException` - sql feature not supported

#### getValueObject

    public abstract ValueObject getValueObject(int index)
                                        throws NoSuchColumnException

Gets the value object at position index, starts at 0.

Parameters:
  `index` - the position, starts at 0
Returns:
  the value object at position index
Throws:
  `NoSuchColumnException` - if the column does not exist

#### next

    public abstract boolean next()
                          throws IOException,
                                 QueryException

Move pointer forward.

Returns:
  true if there is another row
Throws:
  `IOException` - ioException
  `QueryException` - queryException

#### isBeforeFirst

    public abstract boolean isBeforeFirst()

#### isAfterLast

    public abstract boolean isAfterLast()